/*
 * @(#)IllegalUseOfTraversalException 31 October 2006
 *
 * @author Viera K. Proulx
 */
import java.lang.*;

/**
 * Exception to be raised on an attempt to advance a traversal 
 * over an empty collection 
 * or to produce the first element of an empty collection.
 */
public class IllegalUseOfTraversalException extends Exception {

  /**
   * Constructs a new exception with null as its detail message.
   */
  public IllegalUseOfTraversalException() {
    super();
  }

  /**
   * Constructs a new exception with the specified detail message.
   * 
   * @param message the error message
   */
  public IllegalUseOfTraversalException(String message) {
    super(message);
  }

  /**
   * Constructs a new exception with the specified detail message and cause.
   * 
   * @param message the error message
   * @param cause the cause for the message
   */
  public IllegalUseOfTraversalException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * Constructs a new exception with the specified cause and a detail message 
   * of <CODE>(cause==null ? null : cause.toString())</CODE>
   * (which typically contains the class and detail message of cause).
   * 
   * @param cause 
   */
  public IllegalUseOfTraversalException(Throwable cause) {
    super(cause);
  }

}
